Logoelepay
Refund

List refunds

Retrieves a list of refund information.

GET
/charges/{id}/refunds

Authorization

AuthorizationBearer <token>

API authentication is performed via Bearer auth using the secret key as the bearer token. The secret key is a critical key that allows all API operations, so handle it with care.

In: header

Path Parameters

id*string

Charge ID

Response Body

application/json;charset=utf-8

curl -X GET "https://api.elepay.io/charges/string/refunds"
{
  "total": 0,
  "refunds": [
    {
      "id": "string",
      "object": "refund",
      "chargeId": "string",
      "liveMode": true,
      "amount": 0,
      "currency": "string",
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "reason": "string",
      "status": "pending",
      "refundedTime": 0,
      "createTime": 0
    }
  ]
}